<?php require_once('Connections/cn.php'); ?>
<?php
session_start();
$cedula_usuario=$_SESSION['CEDULA_USUARIO'];

// Capturo los datos que vienen de inscripciones.php
$id_alumno=$_GET['id_alumno'];
$seccion_inscrita=$_GET['seccion'];
$id_carrera=$_GET['id_carrera'];
$pensum=$_GET['pensum'];
$id_periodo=$_GET['id_periodo'];
$id_sede=$_GET['id_sede'];
$mencion=$_GET['mencion'];
$nivel=$_GET['nivel'];

mysql_select_db($database_cn, $cn);
mysql_query ("SET NAMES 'utf8'");

$sql = "SELECT id_alumno,cedula,apellidos, nombres, tipo_doc FROM alumnos WHERE id_alumno='$id_alumno'";
$rs = mysql_query($sql, $cn) or die(mysql_error());
$row = mysql_fetch_assoc($rs);

$cedula= $row['cedula'];
$participante= $row['apellidos'].', '.$row['nombres'];

$fecha1 = explode("-",date("Y-m-d")); 
$fecha2 = $fecha1[0].$fecha1[1].$fecha1[2]; 
// $fecha_hoy = cambioFecha($fecha2);   
$fecha_inscripcion=join ("-",(array_reverse(explode("-",$fecha2))));

// Valido que el alumno haya inscrito al menos una materia.
$sql_inscrita = "SELECT id_materia, id_seccion FROM inscripciones_tmp WHERE id_alumno='$id_alumno' and inscrita='S'";
$rst_inscrita = mysql_query($sql_inscrita, $cn) or die(mysql_error());
$rows_inscrita =  mysql_num_rows($rst_inscrita);

if($rows_inscrita >2){
   ?>
    <script type="text/javascript">
      alert("INSCRIPCIÓN NO PROCESADA.\nSólo se pueden inscribir dos (2) Unidades Curriculares.");
   </script>
 <?php
  return;
 }

if($rows_inscrita >0){
   // Registra las inscripciones.
   $sql = "insert into `inscripciones` (`id_alumno`, `id_periodo`, `id_carrera`, `id_materia`, `semestre`, `id_seccion`, `sede`, `id_docente`,`turno`,`mencion`,`nivel`,`pensum`) SELECT id_alumno,id_periodo,id_carrera,id_materia,semestre,id_seccion,sede,id_docente,turno,'$mencion' as mencion,'$nivel' as nivel, '$pensum' as pensum FROM inscripciones_tmp WHERE id_alumno='$id_alumno' and inscrita='S'";
   mysql_query($sql, $cn) or die(mysql_error());

   while($row_inscrita = mysql_fetch_assoc($rst_inscrita)){
        $materia=$row_inscrita["id_materia"];
		$seccion=$row_inscrita["id_seccion"];
        $sql = "update oferta_academica set inscritos=inscritos+1 WHERE sede='$id_sede' and id_seccion='$seccion' and id_carrera='$id_carrera' and pensum='$pensum' and id_periodo='$id_periodo' and  id_materia='$materia' and nivel='$nivel' and mencion='$mencion' ";
        mysql_query($sql, $cn) or die(mysql_error());
   }
   // Actualiza la fecha de inscripcion del alumno en la ENAHP
   $sql = "update inscripciones set fecha='$fecha_inscripcion' where id_alumno='$id_alumno' and   id_carrera='$id_carrera'";
   mysql_query($sql, $cn) or die(mysql_error());


   $sqlPeriodo = "SELECT codigo,annio FROM periodos WHERE id_periodo='$id_periodo'";
   $rstPeriodo = mysql_query($sqlPeriodo, $cn) or die(mysql_error());
   $rowPeriodo = mysql_fetch_assoc($rstPeriodo);
   $cod_periodo =$rowPeriodo["codigo"];
   $annio=$rowPeriodo['annio']; 

   // Datos de la Carrera
   $sql = "SELECT nombre_carrera FROM carreras WHERE id_carrera='$id_carrera'";
   $rs = mysql_query($sql, $cn) or die(mysql_error());
   $row = mysql_fetch_assoc($rs);
   $nom_carrera= $row['nombre_carrera'];

   $semestre=0; //semestre($id_alumno);
   // Crea el registro historial de inscripciones del alumno, 
   // para el lapso donde se inscribió.
   $sql = "insert into historial_alumnos (`id_alumno`, `cedula`,`participante`,";
   $sql=$sql." `sede`, `id_periodo`, `id_carrera`, `nom_carrera`, `fecha`, `annio`,`semestre`,`seccion`,`mencion`, `nivel`, `pensum`) ";
   $sql=$sql."values ('$id_alumno','$cedula','$participante','$id_sede', ";
   $sql=$sql." '$id_periodo', '$id_carrera', '$nom_carrera', '$fecha_inscripcion','$annio','$semestre','$seccion_inscrita','$mencion', '$nivel','$pensum')";
   mysql_query($sql, $cn) or die(mysql_error());


   // Borra la tabla inscripciones_tmp para el alumno en el programa donde se inscribió inscribir.
   $sql="delete from inscripciones_tmp where id_carrera='$id_carrera' and id_alumno='$id_alumno'";
   mysql_query($sql, $cn) or die(mysql_error());
   
   // Limpia el record tenporal del estudiante
   $sql = "delete from historico_notas_aux where id_alumno='$id_alumno'";
   mysql_query($sql, $cn) or die(mysql_error());


   // Actualiza la fecha de la última inscripcion del alumno en la ENAHP-IUT
   $sql = "update alumnos set status='A',ultima_inscripcion='$fecha_inscripcion' where id_alumno='$id_alumno'";
   mysql_query($sql, $cn) or die(mysql_error());

   ?>
   <body>
   <script type="text/javascript">
      if(confirm("Inscripción procesada con éxito.\n¿Desea imprimir el Comprobante de Inscripción?")){     	 url="modulos/reportes/comprobante_inscripcion.php?id_alumno="+'<?php echo $id_alumno ?>'+"&id_periodo="+'<?php echo $id_periodo ?>'+"&codigo_sede="+'<?php echo $id_sede ?>'+"&id_carrera="+'<?php echo $id_carrera ?>'+"&mencion="+'<?php echo $mencion ?>';
	     window.open(url);	
      }
   </script>
<?php
}
else{
?>
    <script type="text/javascript">
      alert("INSCRIPCIÓN NO PROCESADA.\nUsted debe inscribir al menos una Unidad Curricular.");
   </script>
 <?php
 }
return;
  ?>
</body>

<?php
function semestre($id_alumno)
{
   global $cn;
   $sql = "SELECT COUNT(*) FROM `inscripciones` where semestre='1' and id_alumno='$id_alumno'";
   $res = mysql_query($sql, $cn) or die(mysql_error());
   $row = mysql_fetch_assoc($res);
   reset($row);
   $semestre1= current($row);
  
   $sql = "SELECT COUNT(*) FROM `inscripciones` where semestre='2' and id_alumno='$id_alumno'";
   $res = mysql_query($sql, $cn) or die(mysql_error());
   $row = mysql_fetch_assoc($res);
   reset($row);
   $semestre2= current($row);
   
   $sql = "SELECT COUNT(*) FROM `inscripciones` where semestre='3' and id_alumno='$id_alumno'";
   $res = mysql_query($sql, $cn) or die(mysql_error());
   $row = mysql_fetch_assoc($res);
   reset($row);
   $semestre3= current($row);
   
   $sql = "SELECT COUNT(*) FROM `inscripciones` where semestre='4' and id_alumno='$id_alumno'";
   $res = mysql_query($sql, $cn) or die(mysql_error());
   $row = mysql_fetch_assoc($res);
   reset($row);
   $semestre4= current($row);
   
   $sql = "SELECT COUNT(*) FROM `inscripciones` where semestre='5' and id_alumno='$id_alumno'";
   $res = mysql_query($sql, $cn) or die(mysql_error());
   $row = mysql_fetch_assoc($res);
   reset($row);
   $semestre5= current($row);
   
   $sql = "SELECT COUNT(*) FROM `inscripciones` where semestre='6' and id_alumno='$id_alumno'";
   $res = mysql_query($sql, $cn) or die(mysql_error());
   $row = mysql_fetch_assoc($res);
   reset($row);
   $semestre6= current($row);
   
   $sql = "SELECT COUNT(*) FROM `inscripciones` where semestre='7' and id_alumno='$id_alumno'";
   $res = mysql_query($sql, $cn) or die(mysql_error());
   $row = mysql_fetch_assoc($res);
   reset($row);
   $semestre7= current($row);
   
   $sql = "SELECT COUNT(*) FROM `inscripciones` where semestre='8' and id_alumno='$id_alumno'";
   $res = mysql_query($sql, $cn) or die(mysql_error());
   $row = mysql_fetch_assoc($res);
   reset($row);
   $semestre8= current($row);
   
   $sql = "SELECT COUNT(*) FROM `inscripciones` where semestre='9' and id_alumno='$id_alumno'";
   $res = mysql_query($sql, $cn) or die(mysql_error());
   $row = mysql_fetch_assoc($res);
   reset($row);
   $semestre9= current($row);
   
   $sql = "SELECT COUNT(*) FROM `inscripciones` where semestre='10' and id_alumno='$id_alumno'";
   $res = mysql_query($sql, $cn) or die(mysql_error());
   $row = mysql_fetch_assoc($res);
   reset($row);
   $semestre10= current($row);
  
   $matriz = array(0,$semestre1,$semestre2,$semestre3,$semestre4,$semestre5,$semestre6,$semestre7,$semestre8,$semestre9,$semestre10); 
   
   $max=0;
   
   for ($i=1; $i<count($matriz); $i++){
        if($matriz[$i]>$max){
		   $max=$matriz[$i];
		   $sem=$i;
		}
	}
	return $sem;   
}
?>